<template>
<div id="plans">
  <Toolbar/>
  <v-content class="mt-5" id="plan-list">
    <v-layout row wrap class="white--text text-xs-center">
        <v-flex xs12 sm4 class="pr-3 pl-3">
            <v-card class="elevation-2 pb-4">
                <v-card-title primary-title class="layout justify-center">
                    <div class="headline text-xs-center">
                      <div class="plan">Hunter</div>
                      <div class="headline price">
                        <span>6</span>
                        <span class="cents">€ 99</span>
                        <span class="per-month">/Mo</span>
                      </div>
                    </div>
                </v-card-title>
                <v-card-text class="text-xs-justify card-pitch pb-3">
                    <ul>
                        <li><v-icon color="green" class="bullet mr-1">check</v-icon>{{$i18n.tc("plan.folders", 2)}}</li>
                        <li><v-icon color="green" class="bullet mr-1">check</v-icon>{{$i18n.tc("plan.applications", 50)}}</li>
                        <li><v-icon color="green" class="bullet mr-1">check</v-icon>{{$i18n.tc("plan.applicationsPerFolder", 30)}}</li>
                        <li><v-icon color="grey" class="bullet mr-1">clear</v-icon>{{$i18n.t("plan.reminders")}}</li>
                    </ul>
                </v-card-text>
                <v-btn color="primary" disabled>Start</v-btn>
            </v-card>
        </v-flex>
        <v-flex xs12 sm4 dark class="pr-2 pl-2">
            <v-card class="elevation-12 pb-4">
                <v-card-title primary-title class="layout justify-center">
                    <div class="headline text-xs-center">
                      <div class="plan">Fisher</div>
                      <div class="headline price">
                        <span>4</span>
                        <span class="cents">€ 99</span>
                        <span class="per-month">/Mo</span>
                      </div>
                    </div>
                </v-card-title>
                <v-card-text class="text-xs-justify card-pitch pb-3">
                    <ul>
                        <li><v-icon color="green" class="bullet mr-1">check</v-icon>{{$i18n.tc("plan.folders", 1)}}</li>
                        <li><v-icon color="green" class="bullet mr-1">check</v-icon>{{$i18n.tc("plan.applications", 25)}}</li>
                        <li><v-icon color="green" class="bullet mr-1">check</v-icon>{{$i18n.tc("plan.applicationsPerFolder", 25)}}</li>
                        <li><v-icon color="grey" class="bullet mr-1">clear</v-icon>{{$i18n.t("plan.reminders")}}</li>
                    </ul>
                </v-card-text>
                <v-btn color="accent" dark>Free trial</v-btn>
            </v-card>
        </v-flex>  
        <v-flex xs12 sm4 class="pr-3 pl-3">
            <v-card class="elevation-2 pb-4">
                <v-card-title primary-title class="layout justify-center">
                    <div class="headline text-xs-center">
                      <div class="plan">Sniper</div>
                      <div class="headline price">
                        <span>7</span>
                        <span class="cents">€ 99</span>
                        <span class="per-month">/Mo</span>
                      </div>
                    </div>
                </v-card-title>
                <v-card-text class="text-xs-justify card-pitch pb-3">
                    <ul>
                        <li><v-icon color="green" class="bullet mr-1">check</v-icon>{{$i18n.t("plan.unlimitedFolders")}}</li>
                        <li><v-icon color="green" class="bullet mr-1">check</v-icon>{{$i18n.t("plan.unlimitedApplications")}}</li>
                        <li><v-icon color="green" class="bullet mr-1">check</v-icon>{{$i18n.t("plan.noLimitPerFolder")}}</li>
                        <li><v-icon color="green" class="bullet mr-1">check</v-icon>{{$i18n.t("plan.reminders")}}</li>
                    </ul>
                </v-card-text>
                <v-btn color="primary" disabled>Start</v-btn>
            </v-card>
        </v-flex>
    </v-layout>
  </v-content>
</div>
</template>

<script>
import Toolbar from '../components/Toolbar.vue'
export default {
  name: 'plans',
  components: {
    Toolbar
  }
}
</script>

<style>
#plan-list ul {
  list-style-type: none;
}
.price {
  color: #888;
}
.cents {
  vertical-align: super; 
  font-size: 50% !important;
}
.per-month {
  font-size: 60% !important;
}
.plan {
  color: #2196F3;
  font-weight: bold;
}
.bullet {
  font-size: 14px !important;
}
</style>